FreeboxMoviePlanner
===

A few words in English
---
A Python script to help you select the movies you want to record with your Freebox, provided by Free, a french ISP.  As such, the rest of this Readme will be in French. 

Introduction
---
**FreeMoviePlanner** est un outil qui vous facilite la plannification
d'enregistrements avec votre *Freebox*.

Concrètement, l'outil effectue les opérations suivantes :

  * Récupérer les film de la semaine à partir du [planning *Télé 7 Jours*](https://www.programme-television.org/?bouquet=free)
  * Retirer les chaînes auxquelles vous n'avez pas accès
  * Trouver les notes des films sur [*TMDb*](https://www.themoviedb.org/) (*The Movie Database*)
  * Exclure les films en dessous d'une certaine note (paramétrable)
  * Afficher les résumés des films et vous demander de sélectionner ceux qui vous intéressent.
  * Planifier les enregistrements sur votre *Freebox*.
  * Vous prévenir si des conflits sont identifiés pour que vous les résolviez depuis l'interface de votre *Freebox*.

![FreeboxMoviePlanner en action](https://djib.fr/djib/FreeboxMoviePlanner/raw/branch/master/screenshot.png)

Installation
---
Pour utiliser **FreeboxMoviePlanner** il vous faut Python, ainsi que les 3 packages suivants :

  * `beautifulsoup4`
  * `tmdbsimple`
  * `zeroconf`

Il vous faut ensuite récupérer **FreeboxMoviePlanner**.  Le plus simple étant en clonant le dépôt git.

Ensuite, il vous faut créer un fichier de conf `config.json`.  Vous pouvez copier-coller `config.template.json` et l'adapter à vos besoins.  Vous pourrez y renseigner la marge avant et après chaque enregistrement, ou la note en dessous de laquelle les films ne s'afficheront pas.

Pour pouvoir récupérer les notes sur TMDb, vous aurez besoin d'ouvrir un compte sur leur site et de demander une clef API, à renseigner dans le fichier de config.

Enfin, il vous faudra obtenir un token d'authentification après de votre *Freebox* pour que le programme puisse s'y connecter.  Pour ce faire, dans un shell Python, tapez les commandes suivantes :
```python
from pyfbx import Fbx
f=Fbx()
f.register("FreeboxMoviePlanner", "FreeboxMoviePlanner", "N'importe quoi qui identifie votre PC")
```
L'affichage de votre boîtier *Freebox* vous demandera alors de valider cette demande d'authentification.  
Une fois cette accès validez, notez précieusement le résultat dans votre fichier de configuration.

L'installation et le paramétrage devraient être terminés.

Exécution
---
Pour lancer le programme, exécuter simplement: `python3 FreeboxMoviePlanner.py`.  Sous Linux, vous devriez aussi pouvoir double-cliquer sur le fichier pour l'exécuter.

L'outil devrait vous afficher rapidement le petit texte `Working the magic, please wait…` puis, après environ une minute (ou plus si votre réseau est lent), le détail des films.
